# azure.mgmt.rdbms.postgresql.operations module

class `azure.mgmt.rdbms.postgresql.operations.``ServersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ServersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `create`(resource_group_name, server_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new server, or will overwrite an existing server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - parameters (ServerForCreate) – The required parameters for creating or updating a server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Server or ClientRawResponse<Server> if raw==True
    Return type: | AzureOperationPoller[Server] or AzureOperationPoller[ClientRawResponse[Server]]
    Raises: | `CloudError`

  `delete`(resource_group_name, server_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, server_name, custom_headers=None, raw=False, **operation_config)

    Gets information about a server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Server or ClientRawResponse if raw=true
    Return type: | Server or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    List all the servers in a given subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Server
    Return type: | ServerPaged[Server]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    List all the servers in a given resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Server
    Return type: | ServerPaged[Server]
    Raises: | `CloudError`

  `restart`(resource_group_name, server_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Restarts a server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update`(resource_group_name, server_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates an existing server. The request body can contain one to many of the properties present in the normal server definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - parameters (ServerUpdateParameters) – The required parameters for updating a server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Server or ClientRawResponse<Server> if raw==True
    Return type: | AzureOperationPoller[Server] or AzureOperationPoller[ClientRawResponse[Server]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``ReplicasOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ReplicasOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `list_by_server`(resource_group_name, server_name, custom_headers=None, raw=False, **operation_config)

    List all the replicas for a given server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Server
    Return type: | ServerPaged[Server]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``FirewallRulesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  FirewallRulesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `create_or_update`(resource_group_name, server_name, firewall_rule_name, start_ip_address, end_ip_address, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new firewall rule or updates an existing firewall rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - firewall_rule_name (str) – The name of the server firewall rule.
    - start_ip_address (str) – The start IP address of the server firewall rule. Must be IPv4 format.
    - end_ip_address (str) – The end IP address of the server firewall rule. Must be IPv4 format.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns FirewallRule or ClientRawResponse<FirewallRule> if raw==True
    Return type: | AzureOperationPoller[FirewallRule] or AzureOperationPoller[ClientRawResponse[FirewallRule]]
    Raises: | `CloudError`

  `delete`(resource_group_name, server_name, firewall_rule_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a server firewall rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - firewall_rule_name (str) – The name of the server firewall rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, server_name, firewall_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets information about a server firewall rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - firewall_rule_name (str) – The name of the server firewall rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | FirewallRule or ClientRawResponse if raw=true
    Return type: | FirewallRule or ClientRawResponse
    Raises: | `CloudError`

  `list_by_server`(resource_group_name, server_name, custom_headers=None, raw=False, **operation_config)

    List all the firewall rules in a given server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of FirewallRule
    Return type: | FirewallRulePaged[FirewallRule]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``VirtualNetworkRulesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualNetworkRulesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `create_or_update`(resource_group_name, server_name, virtual_network_rule_name, virtual_network_subnet_id, ignore_missing_vnet_service_endpoint=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates an existing virtual network rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - virtual_network_rule_name (str) – The name of the virtual network rule.
    - virtual_network_subnet_id (str) – The ARM resource id of the virtual network subnet.
    - ignore_missing_vnet_service_endpoint (bool) – Create firewall rule before the virtual network has vnet service endpoint enabled.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualNetworkRule or ClientRawResponse<VirtualNetworkRule> if raw==True
    Return type: | AzureOperationPoller[VirtualNetworkRule] or AzureOperationPoller[ClientRawResponse[VirtualNetworkRule]]
    Raises: | `CloudError`

  `delete`(resource_group_name, server_name, virtual_network_rule_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the virtual network rule with the given name.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - virtual_network_rule_name (str) – The name of the virtual network rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, server_name, virtual_network_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets a virtual network rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - virtual_network_rule_name (str) – The name of the virtual network rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetworkRule or ClientRawResponse if raw=true
    Return type: | VirtualNetworkRule or ClientRawResponse
    Raises: | `CloudError`

  `list_by_server`(resource_group_name, server_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of virtual network rules in a server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualNetworkRule
    Return type: | VirtualNetworkRulePaged[VirtualNetworkRule]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``DatabasesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DatabasesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `create_or_update`(resource_group_name, server_name, database_name, charset=None, collation=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new database or updates an existing database.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - database_name (str) – The name of the database.
    - charset (str) – The charset of the database.
    - collation (str) – The collation of the database.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Database or ClientRawResponse<Database> if raw==True
    Return type: | AzureOperationPoller[Database] or AzureOperationPoller[ClientRawResponse[Database]]
    Raises: | `CloudError`

  `delete`(resource_group_name, server_name, database_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a database.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - database_name (str) – The name of the database.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, server_name, database_name, custom_headers=None, raw=False, **operation_config)

    Gets information about a database.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - database_name (str) – The name of the database.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Database or ClientRawResponse if raw=true
    Return type: | Database or ClientRawResponse
    Raises: | `CloudError`

  `list_by_server`(resource_group_name, server_name, custom_headers=None, raw=False, **operation_config)

    List all the databases in a given server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Database
    Return type: | DatabasePaged[Database]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``ConfigurationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ConfigurationsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `create_or_update`(resource_group_name, server_name, configuration_name, value=None, source=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a configuration of a server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - configuration_name (str) – The name of the server configuration.
    - value (str) – Value of the configuration.
    - source (str) – Source of the configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Configuration or ClientRawResponse<Configuration> if raw==True
    Return type: | AzureOperationPoller[Configuration] or AzureOperationPoller[ClientRawResponse[Configuration]]
    Raises: | `CloudError`

  `get`(resource_group_name, server_name, configuration_name, custom_headers=None, raw=False, **operation_config)

    Gets information about a configuration of server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - configuration_name (str) – The name of the server configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Configuration or ClientRawResponse if raw=true
    Return type: | Configuration or ClientRawResponse
    Raises: | `CloudError`

  `list_by_server`(resource_group_name, server_name, custom_headers=None, raw=False, **operation_config)

    List all the configurations in a given server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Configuration
    Return type: | ConfigurationPaged[Configuration]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``LogFilesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LogFilesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `list_by_server`(resource_group_name, server_name, custom_headers=None, raw=False, **operation_config)

    List all the log files in a given server.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of LogFile
    Return type: | LogFilePaged[LogFile]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``LocationBasedPerformanceTierOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LocationBasedPerformanceTierOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `list`(location_name, custom_headers=None, raw=False, **operation_config)

    List all the performance tiers at specified location in a given subscription.

    Parameters:

    - location_name (str) – The name of the location.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of PerformanceTierProperties
    Return type: | PerformanceTierPropertiesPaged[PerformanceTierProperties]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``CheckNameAvailabilityOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CheckNameAvailabilityOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `execute`(name, type=None, custom_headers=None, raw=False, **operation_config)

    Check the availability of name for resource.

    Parameters:

    - name (str) – Resource name to verify.
    - type (str) – Resource type used for verification.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NameAvailability or ClientRawResponse if raw=true
    Return type: | NameAvailability or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``ServerSecurityAlertPoliciesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ServerSecurityAlertPoliciesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables:

  - security_alert_policy_name – The name of the security alert policy. Constant value: “Default”.
  - api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `create_or_update`(resource_group_name, server_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a threat detection policy.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - parameters (ServerSecurityAlertPolicy) – The server security alert policy.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ServerSecurityAlertPolicy or ClientRawResponse<ServerSecurityAlertPolicy> if raw==True
    Return type: | AzureOperationPoller[ServerSecurityAlertPolicy] or AzureOperationPoller[ClientRawResponse[ServerSecurityAlertPolicy]]
    Raises: | `CloudError`

  `get`(resource_group_name, server_name, custom_headers=None, raw=False, **operation_config)

    Get a server’s security alert policy.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - server_name (str) – The name of the server.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ServerSecurityAlertPolicy or ClientRawResponse if raw=true
    Return type: | ServerSecurityAlertPolicy or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>

class `azure.mgmt.rdbms.postgresql.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2017-12-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OperationListResult or ClientRawResponse if raw=true
    Return type: | OperationListResult or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.rdbms.postgresql.models' from '/usr/lib/python3/dist-packages/azure/mgmt/rdbms/postgresql/models/__init__.py'>